import { Logger } from '@salesforce/core';
import { Workspace } from '../../../types/index.js';
import { BaseWorkspaceScanner } from './scanner.js';
/**
 * This scanner will accept paths and builds a list of module ids to component paths.
 */
export default class SalesforceCliWorkspaceScanner extends BaseWorkspaceScanner {
    private namespace?;
    constructor(workspace: Workspace, modulesPaths: string[], logger: Logger, excludePaths?: string[], namespace?: string | undefined);
    findModuleDirs(): string[];
    getNamespace(_moduleDir: string): string;
}
