/**
 * Decrypt a Base64 encoded string using AES-GCM
 * @param encryptedText - The Base64 encoded encrypted text
 * @param base64Key - The Base64 encoded key
 * @returns The decrypted text
 */
export declare function decrypt(encryptedText: string, base64Key: string): string;
