import { watch } from 'chokidar';
let watcher;
const SUPPORTED_FILE_EXTENSION_GLOB = '**/*.{html,css,js,ts}';
export function startWatch(dirPaths) {
    watcher = watch([
        ...dirPaths.map((dir) => dir.endsWith('/')
            ? dir + SUPPORTED_FILE_EXTENSION_GLOB
            : dir + '/' + SUPPORTED_FILE_EXTENSION_GLOB),
    ], { ignoreInitial: true });
    return watcher;
}
export function stopWatch() {
    watcher?.close();
}
//# sourceMappingURL=index.js.map