const templateRegex = /\{([0-9]+)\}/g;
// TODO: Expose this method from `@lwc/errors`
/**
 * Replaces {0} in the given string with the value from the given array
 * @param template Template string to fill
 * @param args Values to fill with
 * @returns Filled string
 */
export function templateString(template, args) {
    return template.replace(templateRegex, (_, index) => {
        return args[index];
    });
}
//# sourceMappingURL=utils.js.map