import { type DevServerContext } from '../../types/index.js';
import { ModulePart } from '../moduleGraph/module.js';
import type { TransformOptions } from '@lwc/compiler';
export declare function compile(ctx: DevServerContext, { module, part }: ModulePart, compileOptions: TransformOptions): Promise<{
    code: string | undefined;
    warnings: import("@lwc/errors").CompilerDiagnostic[];
}>;
