import path from 'path';
/**
 * decodes ns/name/cmp.js to {ns, name, part: cmp.js}
 * @param modulePath
 */
export function decodeModulePath(modulePath) {
    const [namespace, name, ...parts] = modulePath.split(path.sep);
    return { namespace, name, id: `${namespace}/${name}`, part: parts.join(path.sep) };
}
//# sourceMappingURL=module-util.js.map